<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yzt.airconditionersystem.mapper.AlarmMapper">

    <resultMap id="BaseResultMap" type="com.yzt.airconditionersystem.bean.Alarm">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="clientName" column="client_name" jdbcType="VARCHAR"/>
            <result property="operatorId" column="operator_id" jdbcType="INTEGER"/>
            <result property="operatorName" column="operator_name" jdbcType="VARCHAR"/>
            <result property="district" column="district" jdbcType="VARCHAR"/>
            <result property="type" column="type" jdbcType="VARCHAR"/>
            <result property="time" column="time" jdbcType="TIMESTAMP"/>
            <result property="status" column="status" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,client_name,operator_id,
        operator_name,district,type,
        time,status
    </sql>
</mapper>
